package cz.moneta.test.system.greenscreen;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;

@TestScenario(name = "connects to green screen checks card details")
public class CheckCardDetails {

    @TestCase(name = "connects to green screen checks card details")
    public void checkCardDetails(Harness harness) {
        harness.withGreenScreen()
                .logIn()
                .openCustomerSearch()
                .searchByIdentificationNumber("8106179257")
                .checkCustomerNumber("0008611000200026460")
                .openCustomerDetail()
                .checkCardAccountNumber("0008614700200000624")
                .checkCardNumber("0004243367070285269")
                .checkOrgValueForAccountAndCard("861", "861")
                .openAccountDetail()
                .checkName("ING. OLIVER SEVEN")
                .checkAddress("NA KLEOVCE 2162/2", "PRAHA")
                .checkCardAccountNumber("0008614700200000624")
                .checkCardNumber("0004243367070285269")
                .checkCustomerNumber("0008611000200026460")
                .checkCardLogo("470")
                .checkEmblem("47002")
                .switchToNextAccountDetailScreen()
                .checkRetailAmount("00000000002000000")
                .checkAtmAmount("00000000002000000")
                .checkOtcAmount("00000000002000000")
                .switchToUserFieldsScreen()
                .checkBirthNumber("8106179257")
                .checkPinMobileNumber("420603179257")
                .checkPassword("375534");
    }
}
